function createLambda, neb, prb, lambda

  sz = size(neb)
  xsize = sz[2]-1
  ysize = sz[3]-1
  zsize = sz[1]

  if n_elements(lambda) ne n_elements(neb) then  lambda = fltarr(sz[1], sz[2], sz[3], /nozero)

;  if total(size(lambda) ne size(neb)) ne total(size(neb) eq size(neb)) then lambda = fltarr(sz[1], sz[2], sz[3], /nozero)

  tmp = findgen(zsize*3)

  for i=0, xsize do begin
    for j=0, ysize do begin
      rt = neb[*,i,j]

      lambda[*,i,j] = (interpolate([rt, rt, rt], tmp+(prb[i,j] mod zsize)))[zsize:zsize*2-1]

;      raietemp = neb[*,i,j]

;      raie = [raietemp, raietemp, raietemp]
      
;      shift = prb[i,j] mod sz[1]

;      raie = interpolate(raie, findgen(sz[1]*3)+shift)

;      lambda[*,i,j] = raie[sz[1]:sz[1]*2-1]
    endfor
  endfor

  return, lambda

end

