pro getcoords, refimage

  if n_elements(refimage) eq 0 then begin
    refimage = findfile('cont*coadd*')
    if refimage[0] eq '' then begin
      refimage = findfile('cont*')
    endif

    refimage = refimage[0]
    if refimage eq '' then begin
      print, 'Unable to find a continum map...'
      return
    endif
  
  endif

  refimage = refimage[0]

  toto = ad2tofits(refimage, 'position.fits')

  print, 'Current working directory is'
  pwd

  spawn, 'aladin'
  spawn, 'koords'

  updateAdCoordinatesFromFits
;  print, 'And then run updateAdCoordinatesFromFits'


end
