; ********************
; rescale
; ********************
; Rescale des donnees entre une certaine proportion minimale et
; maximale des donnees
function rescale, data, min, max, dmin, dmax
COMPILE_OPT IDL2
  stats = sort(data)
  sz = size(stats)

  dmax = data[stats[max*sz[1]<(sz[1]-1)]]
  dmin = data[stats[min*sz[1]]]

  return, (data > dmin) < dmax

end
