pro convertds9rv

  if file_test('ds9-rv.fits', /read) ne 0 then begin
    im = readfits('ds9-rv.fits', hdr)
    idx = where(im le -0.99E+30, complement=comp)
    if idx[0] ne -1 then im[idx] = !values.f_nan
    sxaddpar, hdr, 'bunit', 'km/s'
    writefits, 'ds9-rv.fits', im, hdr
  endif
 
  if file_test('rv-final.fits', /read) ne 0 then begin
    im = readfits('rv-final.fits', hdr)
    idx = where(im le -0.99E+30, complement=comp)
    if idx[0] ne -1 then im[idx] = !values.f_nan
    sxaddpar, hdr, 'bunit', 'km/s'
    writefits, 'rv-final.fits', im, hdr
  endif

  if file_test('ds9-mono.fits', /read) ne 0 then begin
    im = readfits('ds9-mono.fits', hdr)
    idx = where(im le !values.f_infinity, complement=comp)
    if comp[0] ne -1 then im[comp] = 0
    writefits, 'ds9-mono.fits', im, hdr
  endif



end
