function createLambdaSingleChannel, ada, channel, zsize, prb

  sz = size(prb)
  ch = float(channel)

  t = fltarr(zsize, sz[1], sz[2])

  pos = ch-prb
  idx = where(pos lt 0)
  if idx[0] ne -1 then pos[idx] += zsize*(1.0+floor(-(pos[idx]/zsize)))
  pos = pos mod zsize

  low = ceil(pos)-pos
  high = pos - floor(pos)

  idx = where(ceil(pos) eq floor(pos))
  if idx[0] ne -1 then begin
    high[idx] = 0.0
    low[idx] = 1.0
  endif

  low *= ada
  high *= ada

  pos = floor(pos)
  pos_plus = (pos + 1.0) mod zsize

  for x=0, sz[1]-1 do begin
    for y=0, sz[2]-1 do begin

      t[pos[x,y],x,y] = low[x,y]
      t[pos_plus[x,y],x,y] = high[x,y]

    endfor
  endfor

  return, t

end
