function integrateRegion, cube, region
COMPILE_OPT IDL2
  sz = size(cube)

  integrate = fltarr(sz[1])
  pixels = 0

  for i=0, n_elements(region)-1 do begin
    integrate = integrate + total(total(cube[*,region[i].x1:region[i].x2, region[i].y1:region[i].y2], 2), 2)
    pixels = pixels + abs(region[i].x1-region[i].x2+1)*abs(region[i].y1-region[i].y2+1)
  endfor

  return, integrate/pixels

end
