pro print_mean_continuum_deviation, filename

  if n_elements(filename) eq 0 then filename = (findfile('lambda-SZ1-aligned-OHmap.ad3*'))[0]
  if filename[0] eq '' then filename = (findfile('lambda-SZ1-OHmap.ad3*'))[0]

  cube = readad3(filename, trailer)

  sz = size(cube)

  sn = fltarr(sz[2], sz[3])
  for x=0, sz[2]-1 do begin
    for y=0, sz[3]-1 do begin
      b = baryc(cube[*,x,y])
      sn[x,y] = b[4]
    endfor
  endfor

  med = median(sn)
  print, 'Median deviation is ' + strtrim(med,2)

  med = mean(sn)
  print, 'Mean deviation is ' + strtrim(med,2)
end
