function spatialSmooth, c, method, width, kernel

  cube = c

  if n_elements(method) eq 0 then method = 1
  if method gt 2 then method = 2
  if n_elements(width) eq 0 then width=6.0


  case method of
    1: kernel = ([[1.0, 1.0, 1.0], [1.0, 1.0, 1.0], [1.0, 1.0, 1.0]]) ; Square 3x3
    2: kernel = makeGaussian2D(width)
  endcase

  print, size(kernel)

  kernel = kernel / total(kernel)

  sz = size(cube)

  if sz[0] eq 3 then iter=sz[1] else iter=1

  for i=0, iter-1 do begin
    if sz[0] eq 3 then begin
      cube[i,*,*] = convol(reform(cube[i,*,*]), kernel, /edge_truncate, /center)
    endif else begin
      cube = convol(cube, kernel, /edge_truncate, /center)
    endelse
  endfor

;  cube = cube / total(kernel)

  return, cube

end
