function surfaceFromKx, kx, xsize, ysize

  sz = size(kx)

  surface = fltarr(xsize, ysize)

  x = findgen(xsize) # replicate(1.0, ysize)
  y = replicate(1.0, xsize) # findgen(ysize)

  if sz[0] eq 1 then begin ; On avait max_degree set
    degree = 1
    i = 0
    while i lt sz[1] do begin
      i += degree      
      degree += 1
    endwhile

    degree -= 2
;    print, 'Degree is ' + strtrim(degree,2)

    surface += kx[0]

    i = 0

    for degreex=0, degree do begin
      optim = x^float(degreex)
      for degreey=0, degree-degreex do begin
        surface += kx[i]*(y^(float(degreey)))*optim
        i += 1
;        print, degreey, degreex
      endfor
    endfor

  endif else begin ; max_degree n'etait pas set
;    print, 'Max degree pas set'
    degree = sz[2]-1
;    print, 'Degree is ' + strtrim(degree,2)

    for xx=0.0, degree do begin
      optim = x^xx
      
      for yy=0.0, degree do begin
        surface += kx[yy,xx]*optim*(y^yy)
;        print, yy, xx
      endfor
    endfor

  endelse

  return, surface





end
